RespID (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.ocsp

## Class RespID

- java.lang.Object
- - org.bouncycastle.cert.ocsp.RespID

- Direct Known Subclasses:
    JcaRespID

      public class RespID
      extends java.lang.Object

  Carrier for a ResponderID.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `HASH_SHA1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespID(org.bouncycastle.asn1.ocsp.ResponderID id)`
    `RespID(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo subjectPublicKeyInfo, DigestCalculator digCalc)` Calculate a RespID based on the public key of the responder.
    `RespID(org.bouncycastle.asn1.x500.X500Name name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `org.bouncycastle.asn1.ocsp.ResponderID` | `toASN1Object()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HASH_SHA1

          public static final org.bouncycastle.asn1.x509.AlgorithmIdentifier HASH_SHA1

  - ### Constructor Detail

    - #### RespID

          public RespID(org.bouncycastle.asn1.ocsp.ResponderID id)

    - #### RespID

          public RespID(org.bouncycastle.asn1.x500.X500Name name)

    - #### RespID

          public RespID(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo subjectPublicKeyInfo,
                DigestCalculator digCalc)
                 throws OCSPException

      Calculate a RespID based on the public key of the responder.
      Parameters:
        `subjectPublicKeyInfo` - the info structure for the responder public key.
        `digCalc` - a SHA-1 digest calculator.
      Throws:
        `OCSPException` - on exception creating ID.

  - ### Method Detail

    - #### toASN1Object

          public org.bouncycastle.asn1.ocsp.ResponderID toASN1Object()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`